import { Node } from '@tiptap/core'

export const LowerAlphaList = Node.create({
  name: 'loweralphaList',
  content: 'listItem+',
  group: 'block list',
  parseHTML() {
    return [
      {
        tag: 'ul[style*="list-style: lower-alpha"]', // <-- Busca la etiqueta ul con el estilo específico
      },
    ]
  },
  renderHTML({ HTMLAttributes }) {
    // Aquí se genera la etiqueta ul con un estilo en línea
    return ['ul', { style: 'list-style: lower-alpha;' }, 0]
  },
  addCommands() {
    return {
      toggleLowerAlphaList: () => ({ commands }) => {
        return commands.toggleList(this.name, 'listItem')
      },
    }
  },
})